/*
 * Copyright (c) 2011-2012 Wind River Systems, Inc. 
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement. 
 */

/* 
DESCRIPTION
    
This file provides a Qt VxWorks frame buffer screen driver.
*/           

#ifndef QSCREENVXWORKSFB_QWS_H
#define QSCREENVXWORKSFB_QWS_H

#ifndef QT_NO_QWS_VXWORKSFB

#include <QtGui/qscreen_qws.h>

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

class QVxWorksFbScreenPrivate;

class Q_GUI_EXPORT QVxWorksFbScreen : public QScreen
{
public:
    explicit QVxWorksFbScreen(int);
    virtual ~QVxWorksFbScreen();

    virtual bool initDevice();
    virtual bool connect(const QString &displaySpec);
    virtual void disconnect();
    virtual void shutdownDevice();
    virtual void setMode(int, int, int);
    virtual void setDirty(const QRect&);

private:
    QVxWorksFbScreenPrivate *d_ptr;
};

QT_END_NAMESPACE

QT_END_HEADER

#endif /* QT_NO_QWS_VXWORKSFB */

#endif /* QSCREENVXWORKSFB_QWS_H */
